.uc-fixedmenu {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 999;
}

.uc-fixedmenu .t396__artboard {
  transform: translateY(0);
}

.menu-st {
  transition: all 0.4s cubic-bezier(0, 0, 0.8, 1.0);
}



:root {
  --SlideTextColor: #000000; /* Цвет текста по наведению */
}

.link-slide a {
  position: relative;
  display: inline-block;
  -webkit-transition: -webkit-transform 0.3s;
  -moz-transition: -moz-transform 0.3s;
  transition: transform 0.3s;
}

.link-slide a::before {
  position: absolute;
  top: 100%;
  left: 0;
  color: var(--SlideTextColor);
  content: " " attr(data-content);
  -webkit-transform: translate3d(0,0,0);
  -moz-transform: translate3d(0,0,0);
  transform: translate3d(0,0,0);
}

.link-slide a:hover,
.link-slide a:focus {
  -webkit-transform: translateY(-100%);
  -moz-transform: translateY(-100%);
  transform: translateY(-100%);
}

.wrapper-slide-text {
  overflow: hidden;
}



:root {
  --AccentuationColor: #FFFFFF; /* цвет подчеркивания */
  --AccentuationHeight: 1.2px; /* толщина линии */
  --AccentuationPadding: 2px; /* отступ от текста */
}

@media only screen and (min-width: 480px) {
  .hover-accentuation-text,
  .hover-accentuation-text:before {
    opacity: 0;
    transform: translateX(-100%);
    transition:
      opacity 0.3s cubic-bezier(0.22, 0.61, 0.36, 1) 0.2s,
      transform 0.7s cubic-bezier(0.22, 0.61, 0.36, 1) 0.2s;
    transition-delay: 0.7s;
  }

  .link-accentuation .tn-atom:hover .hover-accentuation-text,
  .link-accentuation .tn-atom:hover .hover-accentuation-text:before {
    opacity: 1;
    transform: translateX(0);
    transition-delay: 0s;
  }

  @keyframes anim-in-text-accentuation {
    0% {
      transform: translateX(100%);
    }
    100% {
      transform: translateX(0);
    }
  }

  @keyframes anim-in-accentuation {
    0% {
      transform: translateX(-100%);
    }
    100% {
      transform: translateX(0);
    }
  }

  @keyframes anim-out-accentuation {
    0% {
      transform: translateX(0);
    }
    100% {
      transform: translateX(-100%);
    }
  }

  @keyframes anim-out-text-accentuation {
    0% {
      transform: translateX(0);
    }
    100% {
      transform: translateX(100%);
    }
  }

  .hover-accentuation-text {
    position: absolute;
    top: 0;
    left: 0;
    transform: translateX(-100%);
    display: inline-table;
    width: 100%;
    height: 100%;
    padding-top: var(--AccentuationPadding);
    overflow: hidden;
    pointer-events: none;
    -webkit-animation: anim-out-text-accentuation 0.7s cubic-bezier(0.22, 0.61, 0.36, 1);
    animation: anim-out-text-accentuation 0.7s cubic-bezier(0.22, 0.61, 0.36, 1);
  }

  .hover-accentuation-text:before {
    content: "";
    background: var(--AccentuationColor);
    width: 100%;
    height: var(--AccentuationHeight);
    position: absolute;
    bottom: 0;
    transform: translateX(100%);
    display: inline-table;
    -webkit-animation: anim-out-accentuation 0.7s cubic-bezier(0.22, 0.61, 0.36, 1);
    animation: anim-out-accentuation 0.7s cubic-bezier(0.22, 0.61, 0.36, 1);
  }

  .link-accentuation .tn-atom:hover .hover-accentuation-text {
    transform: translateX(0);
    -webkit-animation: anim-in-accentuation 0.7s cubic-bezier(0.22, 0.61, 0.36, 1);
    animation: anim-in-accentuation 0.7s cubic-bezier(0.22, 0.61, 0.36, 1);
  }

  .link-accentuation .tn-atom:hover .hover-accentuation-text:before {
    -webkit-animation: anim-in-text-accentuation 0.7s cubic-bezier(0.22, 0.61, 0.36, 1);
    animation: anim-in-text-accentuation 0.7s cubic-bezier(0.22, 0.61, 0.36, 1);
  }
}
/* кнопка в карточке товара — ОПЛАТИТЬ В TELEGRAM */

/* кнопки в карточке товара */

/* Mobile + base */
.t-store__prod-popup__btn-wrapper,
.t-store-telegram-btn-below {
  width: 100%;
}

/* Общий стиль кнопок */
.t-store__prod-popup__btn,
.t-store-telegram-btn-below {
  width: 100% !important;
  height: 56px !important;

  display: flex !important;
  align-items: center;
  justify-content: center;

  box-sizing: border-box;
}

/* Desktop */
@media screen and (min-width: 960px) {

  .t-store__prod-popup__btn-wrapper,
  .t-store-telegram-btn-below {
    width: 300px !important;
    max-width: 300px !important;
  }

}

/* Telegram кнопка */
.t-store-telegram-btn-below {
  margin: 0px 0 22px;
  padding: 0 20px;

  background: transparent;
  border: 1px solid #414ADF;
  border-radius: 5px;

  color: #414ADF !important;
  text-decoration: none !important;

  font-family: var(--t-text-font, Arial);
  font-size: 14px;
  font-weight: 500;
  line-height: 1;

  transition: 0.2s ease;
}

/* Hover */
.t-store-telegram-btn-below:hover {
  background: #414ADF;
  color: #ffffff !important;
}

/* Скрываем исходную ссылку */
.js-store-prod-all-text a[href*="t.me/Gostryy_bot"] {
  display: none !important;
}

.t-store__prod-popup__btn-wrapper {
  margin-bottom: 10px !important;
}

/*выравнивание кнопок в стандартном меню гамбургера*/

/* Контейнер кнопок */
.t450__right_buttons_wrap {
    display: flex !important;
    flex-direction: column !important;
    gap: 10px !important;
    width: 100% !important;
}

/* Обертки кнопок */
.t450__right_buttons_but {
    width: 100% !important;
    margin: 0 !important;
}

/* Сами кнопки */
.t450__right_buttons_but .t-btn {
    width: 100% !important;
    justify-content: center !important;
    box-sizing: border-box !important;
    padding-left: 0px !important;
    padding-right: 0px !important;
}

/* Текст внутри кнопок */
.t450__right_buttons_but .t-btnflex__text {
    white-space: normal !important;
    text-align: center !important;
}

.t450__container {
    padding: 48px 28px 38px;
}


